;-------------------------------------------------------------------------
;				Initialization Mega128
;-------------------------------------------------------------------------
	ldi		zl, low(ramend)
	out		spl, zl
	ldi		zh, high(ramend)
	out		sph, zh			;if >= Mega8
	clr		r0

	ldi 	a0, high(ramstart)										;GL
_ini1:	
	st		z, r0			;clear SRAM
	cpi		zl, low(ramstart)										;GL
	cpc 	zh, a0													;GL
;	cpi	zl, 0x60
;	cpc	zh, r0
	brne	_ini2
	clr 	zh														;GL
	ldi		zl, 30			;clear register
_ini2:	
	sbiw	zh:zl, 1
	brne	_ini1

#if defined(__ATmega128__)											;GL
	ldi	a0, 1<<IVCE		;set interrupts to bootvector
	out	MCUCR, a0											
	ldi	a0, 1<<IVSEL
	out	MCUCR, a0											
#else
	ldi	a0, 1<<IVCE		;set interrupts to bootvector
	out	GICR, a0
	ldi	a0, 1<<IVSEL
	out	GICR, a0
#endif // part specific code

	sei
;-------------------------------------------------------------------------
