;-------------------------------------------------------------------------
;			Run User Program at 0x0000
;-------------------------------------------------------------------------
userprog:
	cli
#if defined(__ATmega128__)										;GL
	ldi	a0, 1<<IVCE			;set interrupts to 0x0000
	out	MCUCR, a0												
	ldi	a0, 0x00
	out	MCUCR, a0											
#else
	ldi	a0, 1<<IVCE			;set interrupts to 0x0000
	out	GICR, a0	
	ldi	a0, 0x00
	out	GICR, a0
#endif // part specific code

	out	TIMSK, a0
	out	UCSRB, a0
	out	ddrb, a0
	out	ddrc, a0
	out	ddrd, a0
	out	portb, a0
	out	portc, a0
	out	portd, a0
#if defined(__ATmega128__)										;GL
	out	UBRRL, a0
	sts	UBRRH, a0
	out rampz, a0
	out	ddre, a0											
	out	porte, a0												
#endif

	jmp	0x0000
;-------------------------------------------------------------------------
